package com.pcloud.book.book.dto;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * 图书详细信息
 */
public class BookDetialDTO implements Serializable {

    @ApiModelProperty("编辑ID")
    private Long adviserId;
    @ApiModelProperty("图书ID集合")
    private List<Long> bookIds;
    @ApiModelProperty("渠道ID集合")
    private List<Long> channelId;
    @ApiModelProperty("编辑ID集合")
    private List<Long> adviserIds;

    public Long getAdviserId() {
        return adviserId;
    }

    public void setAdviserId(Long adviserId) {
        this.adviserId = adviserId;
    }

    public List<Long> getBookIds() {
        return bookIds;
    }

    public void setBookIds(List<Long> bookIds) {
        this.bookIds = bookIds;
    }

    public List<Long> getChannelId() {
        return channelId;
    }

    public void setChannelId(List<Long> channelId) {
        this.channelId = channelId;
    }

    public List<Long> getAdviserIds() {
        return adviserIds;
    }

    public void setAdviserIds(List<Long> adviserIds) {
        this.adviserIds = adviserIds;
    }

    @Override
    public String toString() {
        return "BookDetialDTO{" +
                "adviserId=" + adviserId +
                ", bookIds=" + bookIds +
                ", channelId=" + channelId +
                '}';
    }
}
